Page MenuHomePhabricator

Investigate country code = XX making it to Ingenico
Closed, ResolvedPublic1 Estimate Story Points

Description

@MBeat33 found a couple orders that failed on I_OWP (last comment on T149137). We sent country code XX in the API call. Figure out why, and try to no do that.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterBetter message when geoIP lookup fails
mediawiki/extensions/DonationInterface : masterAllow getRequiredFields before unstagedData is set

Event Timeline

Ejegg created this task.Nov 22 2016, 10:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 10:13 PM
ggellerman triaged this task as Medium priority.Nov 22 2016, 10:15 PM
ggellerman added a project: Spike.
ggellerman set the point value for this task to 1.
Ejegg added a subscriber: Pcoombe.Nov 23 2016, 1:28 AM

The users encountering this have mainly been coming in via email campaigns (makes sense, as banners only target the people who we can geoIP lookup). @Pcoombe , what do you think of adding some logic to DonateWiki that would show a message and link users to https://wikimediafoundation.org/wiki/Ways_to_Give#creditdebit when the country code is garbage? We could also do that in DonationInterface, but it would save donors a step to do it on donate.wm.o

Garbage codes include: 'XX', 'EU', 'AP', 'A1', 'A2', 'O1'

Change 323242 had a related patch set uploaded (by Ejegg):
WIP better message when geoIP lookup fails

https://gerrit.wikimedia.org/r/323242

Change 323254 had a related patch set uploaded (by Ejegg):
Allow getRequiredFields before unstagedData is set

https://gerrit.wikimedia.org/r/323254

Great idea @Ejegg. Added a basic link when the country code is garbage: https://donate.wikimedia.org/?country=XX

@MBeat33 Is this messaging okay with you?

Sure, that looks fine, thanks @Pcoombe

Ejegg added a comment.Nov 23 2016, 9:48 PM

Thank you @Pcoombe ! Looks good on desktop. On mobile it's behind the WMF logo.

Good catch @Ejegg, should be fixed now.

Is the country code really required in that API call?

@Platonides Yep, Ingenico lists that as one of the required parameters to INSERT_ORDERWITHPAYMENT

Change 323254 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Allow getRequiredFields before unstagedData is set

https://gerrit.wikimedia.org/r/323254

Change 323242 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Better message when geoIP lookup fails

https://gerrit.wikimedia.org/r/323242

Ejegg added a comment.Nov 6 2018, 2:16 PM

One more on 2018-11-05, with the Connect integration: 60400492.1

Ejegg closed this task as Resolved.Mar 19 2019, 8:02 PM
Ejegg claimed this task.

I think this was fixed with https://gerrit.wikimedia.org/r/478364